{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "kypo-training-model": {
      "projectType": "library",
      "root": "projects/kypo-training-model",
      "sourceRoot": "projects/kypo-training-model/src",
      "prefix": "kypo",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "tsConfig": "projects/kypo-training-model/tsconfig.lib.json",
            "project": "projects/kypo-training-model/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/kypo-training-model/tsconfig.lib.prod.json"
            }
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/kypo-training-model/src/test.ts",
            "tsConfig": "projects/kypo-training-model/tsconfig.spec.json",
            "karmaConfig": "projects/kypo-training-model/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-eslint/builder:lint",
          "options": {
            "lintFilePatterns": [
              "projects/kypo-training-model/**/*.ts",
              "projects/kypo-training-model/**/*.component.html"
            ]
          }
        }
      }
    }
  }
}
